Author: preining-guest
Date: 2006-02-23 09:40:58 +0000 (Thu, 23 Feb 2006)
New Revision: 920

Modified:
   tex-common/trunk/debian/changelog
   tex-common/trunk/scripts/dh_installtex
Log:
fix error in dh_installtex with package files, thanks ralf


Modified: tex-common/trunk/debian/changelog
===================================================================
--- tex-common/trunk/debian/changelog   2006-02-22 16:51:24 UTC (rev 919)
+++ tex-common/trunk/debian/changelog   2006-02-23 09:40:58 UTC (rev 920)
@@ -1,3 +1,9 @@
+tex-common (0.16.1) UNRELEASED; urgency=low
+
+  * fix an error in dh_installtex when grepping for the magic header [ralf]
+
+ -- Norbert Preining <[EMAIL PROTECTED]>  Thu, 23 Feb 2006 10:39:16 +0100
+
 tex-common (0.16) unstable; urgency=low
 
   * Add dh_installtex for public perusal. [preining]

Modified: tex-common/trunk/scripts/dh_installtex
===================================================================
--- tex-common/trunk/scripts/dh_installtex      2006-02-22 16:51:24 UTC (rev 
919)
+++ tex-common/trunk/scripts/dh_installtex      2006-02-23 09:40:58 UTC (rev 
920)
@@ -350,9 +350,9 @@
                my $pkgprovidedfile = 0;
                my $pkgfileoncmdline = 0;
                my @listlines;
-               my $foo = pkgfile($package,$pkgfileext{$type});
-               if ($foo) {
-                       open(FOO, "<$foo") || error("$foo cannot be opened.");
+               my $pkgfilename = pkgfile($package,$pkgfileext{$type});
+               if ($pkgfilename) {
+                       open(FOO, "<$pkgfilename") || error("$pkgfilename 
cannot be opened.");
                        my @bar = <FOO>;
                        close(FOO);
                        $pkgprovidedfilecontents{$type} = [EMAIL PROTECTED];
@@ -365,7 +365,7 @@
                if (defined($cmdlineargs{$type})) {
                        @cmdlinearguments = @{$cmdlineargs{$type}};
                }
-               foreach $foo (@cmdlineconfigfiles) {
+               foreach my $foo (@cmdlineconfigfiles) {
                        my $bn=basename($foo);
                        if ($bn eq "$package.$configfileext{$type}" && 
$cmdlinefilespriority{$type}{$foo} == $priority) {
                                $pkgfileoncmdline = 1;
@@ -421,7 +421,7 @@
                        open(CFGFILE, ">$dofilen") || 
                                error("Cannot open $dofilen for writing!");
                        verbose_print("Writing $dofilen");
-                       if (($pkgprovidedfile && 
!magic_comment_present($pkgprovidedfile)) ||
+                       if (($pkgprovidedfile && 
!magic_comment_present($pkgfilename)) ||
                            (!$pkgprovidedfile && ($#cmdlinearguments >= 0))) {
                                print CFGFILE "$commentchar{$type} 
$priority$package.$configfileext{$type}\n";
                                foreach (@magicheader) {


_______________________________________________
Pkg-tetex-commits mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/pkg-tetex-commits

Reply via email to